GET /api/v202509/batch/{batchId}/log

Retrieves all move operation logs for a specific batch

GetBatchLogsV202509 Permissions: BillsAndBatches (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
batchId Batch identifier integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

BatchLogResponseV202509
Property Description Type
batchId The batch identifier integer (int32)
billsAddedFromLogs Logs of bills that were added to this batch from another batch. TargetBatchLogResponseV202509[]
TargetBatchLogResponseV202509 properties
Property Description Type
billIds Bill IDs that were moved in this operation. integer[]
createdBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
createdDate Date/time offset of the operation string (date-time)
moveOperationId Unique identifier for the operation that moved the bills. There can be multiple bills moved in a single operation, so this ID is the same for all bills moved in that operation. string (uuid)
sourceBatch BatchChild
BatchChild properties
Property Description Type
batchCode The batch code. string
batchId The batch id. integer (int32)
billsMovedToLogs Logs of bills that were moved from this batch to another batch. SourceBatchLogResponseV202509[]
SourceBatchLogResponseV202509 properties
Property Description Type
billIds Bill IDs that were moved in this operation. integer[]
createdBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
createdDate Date/time offset of the operation string (date-time)
moveOperationId Unique identifier for the operation that moved the bills. There can be multiple bills moved in a single operation, so this ID is the same for all bills moved in that operation. string (uuid)
targetBatch BatchChild
BatchChild properties
Property Description Type
batchCode The batch code. string
batchId The batch id. integer (int32)
Example Response application/json
{  "batchId": 1,  "billsAddedFromLogs": [
    {    "billIds": [
      1
    ],    "createdBy": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "createdDate": "2026-03-30",    "moveOperationId": "string",    "sourceBatch": {      "batchCode": "string",      "batchId": 1
    }
  }
  ],  "billsMovedToLogs": [
    {    "billIds": [
      1
    ],    "createdBy": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "createdDate": "2026-03-30",    "moveOperationId": "string",    "targetBatch": {      "batchCode": "string",      "batchId": 1
    }
  }
  ]
}